Summary: Generic Security Services Application Programming Interface Library
Name: libgssapi
Version: 0.8
Release: 1
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL
Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-0.8.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: krb5-libs

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%package devel
Summary: Development files for the gssapi library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

Patch1: libgssapi-0.8-gssapi_mech.patch

%description devel
This package includes header files and libraries necessary for
developing programs which use the gssapi library.

%prep
%setup -q

%patch1 -p1

%build
autoconf
%configure --prefix=%{buildroot}
make all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_sysconfdir},%{_includedir},%{_libdir}/pkgconfig}
mkdir -p %{buildroot}/%{_includedir}/gssglue/gssapi

%makeinstall

install -m 644 doc/gssapi_mech.conf \
	%{buildroot}/%{_sysconfdir}/gssapi_mech.conf
install -m 644 libgssapi.pc  %{buildroot}/%{_libdir}/pkgconfig/libgssapi.pc
install -m 644 src/gssglue/gssapi/gssapi.h  %{buildroot}%{_includedir}/gssglue/gssapi/gssapi.h

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgssapi.so.*
%{_libdir}/libgssapi.la
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf

%files devel
%defattr(0644,root,root,755)
%{_libdir}/libgssapi.so
%{_libdir}/libgssapi.a
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/pkgconfig/libgssapi.pc

%changelog
* Mon Feb 13 2006 Steve Dickson <steved@redhat.com>  0.8-1
- Incorporated the libgssapi-0.8 tarball 

* Fri Feb 10 2006 Steve Dickson <steved@redhat.com>  0.1-1
- Initial commit
